# $Id: artwiz-aleczapka-fonts.spec 7982 2009-11-03 03:41:01Z dag $
# Authority: dag


%{?el4:%define _without_modxorg 1}
%{?el3:%define _without_modxorg 1}

%define fontdir %{_datadir}/fonts/artwiz-aleczapka

Summary: Set of (improved) artwiz fonts
%define real_name artwiz-aleczapka-en-sources
Name: artwiz-aleczapka-fonts
Version: 1.3
Release: 1%{?dist}
License: GPL
Group: User Interface/X
URL: http://artwizaleczapka.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/artwizaleczapka/artwiz-aleczapka-en-sources-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
%{!?_without_modxorg:BuildRequires: xorg-x11-font-utils}
%{?_without_modxorg:BuildRequires: XFree86}

%description
artwiz-aleczapka-fonts is set of (improved) artwiz fonts.

%prep
%setup -n %{real_name}-%{version}

%build
sh makepcf.sh

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{fontdir}/artwiz-aleczapka/
%{__install} -p -m0644 *.pcf %{buildroot}%{fontdir}/artwiz-aleczapka/

touch %{buildroot}%{fontdir}/artwiz-aleczapka/fonts.cache-{1,2}

%clean
%{__rm} -rf %{buildroot}

%post
%{_bindir}/fc-cache -f %{_datadir}/fonts/artwiz-aleczapka/ || :

%postun
if [ $1 -eq 0 ]; then
        %{_bindir}/fc-cache -f %{_datadir}/fonts/artwiz-aleczapka/ || :
fi

%files
%defattr(-, root, root, 0755)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README VERSION
%dir %{fontdir}/artwiz-aleczapka/
%{fontdir}/artwiz-aleczapka/*.pcf
%ghost %{fontdir}/artwiz-aleczapka/fonts.cache-1
%ghost %{fontdir}/artwiz-aleczapka/fonts.cache-2

%changelog
* Tue Apr 24 2007 Dag Wieers <dag@wieers.com> - 1.3-1 - 7982+/dag
- Initial package. (using DAR)
